Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 81691

Summary: using nat en also have to give up parameter ip_forward ?
Product: [Retired] Red Hat Linux Reporter: Need Real Name <e.d.grootjans>
Component: iptablesAssignee: Thomas Woerner <twoerner>
Status: CLOSED NOTABUG QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-07-01 10:15:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Need Real Name 2003-01-12 21:26:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; WMM)

Description of problem:
I have a network 
I have succeded at last to brouws over the local network en use my isdn adapter 
to go to the internet.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.I save the iptables, but the next time i restart i have to set 
ip_forward in /proc/sys/net by hand. I have solved this in sysctl.conf, but i 
think it is not logical to make a table and have to set and save parameters 
also. Is this to change, so i only have to search on one place when i have a 
problem?
2.
3.
    

Actual Results:  It works now, at least.

Expected Results:  Just do the action on one place.


Additional info:

Comment 1 Michael Schwendt 2003-01-14 10:48:51 UTC
Don't write to /proc/sys/net manually. /proc is a run-time filesystem. Your
settings are gone next time you switch off the machine or reboot.

/etc/sysctl.conf is the proper way to make permanent changes to the /proc system
at boot-time or run-time.

Read "man sysctl".


Comment 2 Thomas Woerner 2003-07-01 10:15:01 UTC
Set net.ipv4.ip_forward = 1 in /etc/sysctl.conf.